For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet a list of all credit types
      • POSTCreate a credit type
      • GETGet a credit type
      • PATCHUpdate a credit type
      • POSTActivate a credit type
      • POSTDeactivate a credit type
      • POSTDeprecate a credit type
      • POSTArchive a credit type
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APICredit Types

Get a list of all credit types

GET
/v:version/credit-types
GET
/v:version/credit-types
$curl https://test.api.solvimon.com/v1/credit-types \
> -H "X-API-KEY: <apiKey>"
1{
2 "data": [
3 {
4 "object_type": "string",
5 "id": "string",
6 "reference": "string",
7 "status": "DRAFT",
8 "name": "string",
9 "description": "string",
10 "unit_name": {
11 "singular": "string",
12 "plural": "string"
13 },
14 "created_at": "string",
15 "updated_at": "string"
16 }
17 ],
18 "links": {
19 "first": "string",
20 "previous": "string",
21 "current": "string",
22 "next": "string"
23 },
24 "limit": 1,
25 "page": 1,
26 "total_number_of_pages": 1
27}

Requires the CREDIT_TYPE.VIEW permission.

Was this page helpful?
Previous

Create a credit type

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

statuses[]list of stringsOptional
Filter by credit type status.
limitintegerOptional
The amount of records shown in the list.
pageintegerOptional
The page which is going to be shown.
order_bystringOptional
The parameter by which the response is ordered.
order_directionstringOptional
The order direction by which the response is ordered.

Response

OK
datalist of objects
linksobject
limitinteger or null
pageinteger or null
total_number_of_pagesinteger or nullDeprecated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error